## ros-melodic-fadecandy-msgs 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fadecandy_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(FILES
  LEDArray.msg
  LEDStrip.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
)

## ros-melodic-fadecandy-msgs 0.1.3

=== debian/changelog ===
ros-melodic-fadecandy-msgs (0.1.3-1stretch) stretch; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.2-1stretch) stretch; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Mon, 06 Jul 2020 07:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.1-1stretch) stretch; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.0-1stretch) stretch; urgency=high

  * Initial release

 -- Jon Binney <jon.binney@ironox.com>  Thu, 28 May 2020 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-fadecandy-msgs
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@ironox.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fadecandy-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: ROS msgs for fadecandy LED controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fadecandy-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-fadecandy-msgs 0.2.1

=== debian/changelog ===
ros-melodic-fadecandy-msgs (0.2.1-1bionic) bionic; urgency=high

  * chore(package.xml): Update maintainers
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 19 Apr 2021 22:00:00 -0000

ros-melodic-fadecandy-msgs (0.2.0-1bionic) bionic; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Sun, 18 Apr 2021 22:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.3-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Sun, 01 Nov 2020 23:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.2-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Sun, 05 Jul 2020 22:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.1-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@ironox.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-fadecandy-msgs (0.1.0-1bionic) bionic; urgency=high

  * Initial release

 -- Jon Binney <jon.binney@ironox.com>  Wed, 27 May 2020 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-fadecandy-msgs
 Section: misc
 Priority: optional
-Maintainer: Jon Binney <jon.binney@ironox.com>
+Maintainer: Rein Appeldoorn <reinzor@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2
